| Home | Libraries | People | FAQ | More

## Struct hash<short>

boost::hash<short>

## Synopsis

    // In header: <boost/functional/hash.hpp>

    struct hash<short> {
      std::size_t operator()(short) const;
    };

## Description

    std::size_t operator()(short val) const;

Returns: | Unspecified in TR1, except that equal arguments yield the same result. hash_value(val) in Boost.
Throws: | Doesn't throw